Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils
Class ConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.beanutils.ConversionException

All Implemented Interfaces:
  Serializable

    public class ConversionException

extends RuntimeException

A ConversionException indicates that a call to `Converter.convert()` has failed to complete successfully.

Since:
  1.3
Author:
  Craig McClanahan, Paulo Gaspar
See Also:
  Serialized Form

Field Summary
`protected Throwable` | `cause` The root cause of this `ConversionException`, compatible with JDK 1.4's extensions to `java.lang.Throwable`.

Constructor Summary
`ConversionException(String message)` Construct a new exception with the specified message.
`ConversionException(String message, Throwable cause)` Construct a new exception with the specified message and root cause.
`ConversionException(Throwable cause)` Construct a new exception with the specified root cause.

Method Summary
`Throwable` | `getCause()` Return the root cause of this conversion exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cause

    protected Throwable cause

  The root cause of this `ConversionException`, compatible with JDK 1.4's extensions to `java.lang.Throwable`.

Constructor Detail

### ConversionException

    public ConversionException(String message)

  Construct a new exception with the specified message.

  Parameters:
    `message` - The message describing this exception

### ConversionException

    public ConversionException(String message,
                               Throwable cause)

  Construct a new exception with the specified message and root cause.

  Parameters:
    `message` - The message describing this exception
    `cause` - The root cause of this exception

### ConversionException

    public ConversionException(Throwable cause)

  Construct a new exception with the specified root cause.

  Parameters:
    `cause` - The root cause of this exception

Method Detail

### getCause

    public Throwable getCause()

  Return the root cause of this conversion exception.

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the root cause of this conversion exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 The Apache Software Foundation. All Rights Reserved.